2018-03-21 03:45 EDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002068FSSCPlauncherpublic2010-05-25 19:26
Assigned Totaylor 
Product Version3.6.11 
Target VersionFixed in Version 
Summary0002068: Launcher weirds out at long commandlines
DescriptionThis is my normal command line:
-ambient_factor 5 -ogl_spec 50 -spec_exp 15 -spec_point 1.2 -spec_static 1.7 -spec_tube 1.5 -spec -glow -env -nomotiondebris -missile_lighting -normal -3dshockwave -cache_bitmaps -dualscanlines -targetinfo -orbradar -rearm_timer -ballistic_gauge -ship_choice_3d -weapon_choice_3d -3dwarp -warp_flash -snd_preload -nomovies -loadallweps -fps -window -mod blueplanetSVN,blueplanetSVN\testing_blueplanet3,blueplanetSVN\blueplanet3,blueplanetSVN\testing_blueplanet2,blueplanetSVN\blueplanet2,blueplanetSVN\testing_blueplanet,blueplanetSVN\blueplanet,mediavps

If I try to enable some other flag, in this example post_processing. Commandline becomes
-ambient_factor 5 -ogl_spec 50 -spec_exp 15 -spec_point 1.2 -spec_static 1.7 -spec_tube 1.5 -spec -glow -env -nomotiondebris -missile_lighting -normal -3dshockwave -post_process -cache_bitmaps -dualscanlines -targetinfo -orbradar -rearm_timer -ballistic_gauge -ship_choice_3d -weapon_choice_3d -3dwarp -warp_flash -snd_preload -nomovies -loadallweps -fblueplanetSVN -mod blueplanetSVN,blueplanetSVN\testing_blueplanet3,blueplanetSVN\blueplanet3,blueplanetSVN\testing_blueplanet2,blueplanetSVN\blueplanet2,blueplanetSVN\testing_blueplanet,blueplanetSVN\blueplanet,mediavps

And then fred2_open, fs2_open and launcher itself throws error "Unrecognized command line parameter -fblueplanetSVN, continue?" As you can see above, launcher for some reason adds this weird "-fblueplanetSVN" flag and leaves several other flags out.

555 characters long cmdline_fso.cfg works, but 559 characters long does not.

Among other things this prevents me from using all flags I might want to use at the same time, but also prevents me from using FSU SVN and BP SVN together.
TagsNo tags attached.
Attached Files




portej05 (reporter)

I'm pretty sure this is a launcher issue if cmdline_fso.cfg is being spit out incorrectly. Goober?


iss_mneur (developer)

Confirmed, mangling of the cmdline_fso.cfg after so many characters in the commandline. No I don't actually use the given commandline but it doesn't seem to matter which options are choosen, the cmdline_fso.cfg is mangled.

But it seems in my case with launcher 5.5e, the unmangled cmdline_fso.cfg is 299 characters, and the one that gets mangled is 308 characters. Also, this problem does not seem to happen, when the flags are added to the custom flags section of the Features tab.

I get:
Unrecogzined command line parameter -nosfsport-cardinalspear, continue?
OK Cancel

When I have (from the commandline box on the Features tab):
G:\Freespace2\fs2_open_3_6_11d_INF_SSE2.exe -mod fsport-cardinalspear,fsport,mediavps -spec -glow -env -mipmap -nomotiondebris -missile_lighting -normal -3dshockwave -no_vsync -cache_bitmaps -dualscanlines -targetinfo -orbradar -rearm_timer -ballistic_gauge -ship_choice_3d -weapon_choice_3d -3dwarp -warp_flash -no_ap_interrupt -snd_preload -nosound

I get (as the contents of the cmdline_fso.cfg):
 -spec -glow -env -mipmap -nomotiondebris -missile_lighting -normal -3dshockwave -no_vsync -cache_bitmaps -dualscanlines -targetinfo -orbradar -rearm_timer -ballistic_gauge -ship_choice_3d -weapon_choice_3d -3dwarp -warp_flash -no_ap_interrupt -snd_preload -nosfsport-cardinalspear -mod fsport-cardinalspear,fsport,mediavps

But if I have:
G:\Freespace2\fs2_open_3_6_11d_INF_SSE2.exe -mod fsport-cardinalspear,fsport,mediavps -spec -glow -env -mipmap -nomotiondebris -missile_lighting -normal -3dshockwave -no_vsync -cache_bitmaps -dualscanlines -targetinfo -orbradar -rearm_timer -ballistic_gauge -ship_choice_3d -weapon_choice_3d -3dwarp -warp_flash -no_ap_interrupt -snd_preload

cmdline_fso.cfg is as it should be.


Fury (reporter)

Okay, maybe this bug is not triggered by character length as I switched to mediavps as mod and this bug still occurs.

Working cmdline_fso.cfg
-ambient_factor 5 -ogl_spec 50 -spec_exp 15 -spec_point 1.2 -spec_static 1.7 -spec_tube 1.5 -spec -glow -env -nomotiondebris -missile_lighting -normal -3dshockwave -cache_bitmaps -dualscanlines -targetinfo -orbradar -rearm_timer -ballistic_gauge -ship_choice_3d -weapon_choice_3d -3dwarp -warp_flash -snd_preload -nomovies -loadallweps -fps -window -mod mediavps

When I add -post_processing flag in the launcher, it gets mangled to
-ambient_factor 5 -ogl_spec 50 -spec_exp 15 -spec_point 1.2 -spec_static 1.7 -spec_tube 1.5 -spec -glow -env -nomotiondebris -missile_lighting -normal -3dshockwave -post_process -cache_bitmaps -dualscanlines -targetinfo -orbradar -rearm_timer -ballistic_gauge -ship_choice_3d -weapon_choice_3d -3dwarp -warp_flash -snd_preload -nomovies -loadallweps -fmediavps -mod mediavps

Again a weird -fmediavps flag appears and several others go missing.


Fury (reporter)

BP SVN has received additional directories, unfortunately this further pushes launcher and causes weird issues.

If mod.ini has this long secondarylist, the launcher simply refuses to update cmdline_fso.cfg.

cmdline_fso.cfg would be 523 characters long if launcher would update the file. Taking away all blueplanet3 related paths launcher updates the file again.


taylor (administrator)

A lot of the command line handling had string limits of 255 characters, so there was actually a good bit of buffer overwriting going on. I have made it all dynamic now so I think that this should all be fixed.

I'll put out a test build shortly for everyone to verify that it works properly now.


chief1983 (administrator)

Are we going to have a launcher 5.5f stable for 3.6.12 that includes this fix? Last I checked the build was still beta.


taylor (administrator)

It was beta in name only, unless any new bugs were found. Goober pointed out that a fix was missing from that build though so I still have to go through and get that merged it.

Either way, it will all be added to SVN tomorrow, in a "Launcher_5_5" branch.


chief1983 (administrator)

Sounds good. Yeah I think the missing fix was for hyphens in the command line options or something.


taylor (administrator)


-Issue History
Date Modified Username Field Change
2009-12-15 10:43 Fury New Issue
2009-12-15 10:45 portej05 Note Added: 0011423
2009-12-15 10:45 portej05 Status new => assigned
2009-12-15 10:45 portej05 Assigned To => Goober5000
2009-12-15 21:54 iss_mneur Note Added: 0011424
2009-12-17 12:11 Fury Note Added: 0011428
2010-01-15 07:27 Fury Note Added: 0011524
2010-02-27 21:11 taylor Note Added: 0011720
2010-02-27 21:11 taylor Assigned To Goober5000 => taylor
2010-05-19 01:35 chief1983 Note Added: 0011983
2010-05-24 19:18 taylor Note Added: 0011995
2010-05-25 00:30 chief1983 Note Added: 0012002
2010-05-25 19:26 taylor Note Added: 0012003
2010-05-25 19:26 taylor Status assigned => resolved
2010-05-25 19:26 taylor Resolution open => fixed
+Issue History